package router

import (
	"github.com/gin-gonic/gin"
	jwt "github.com/go-admin-team/go-admin-core/sdk/pkg/jwtauth"
	"go-admin/app/admin/apis/bus_apis"
	"go-admin/common/middleware"
)

// 需认证的路由代码
func registerCommonManageRouter(v1 *gin.RouterGroup, authMiddleware *jwt.GinJWTMiddleware) {
	api := bus_apis.CommonApi{}

	common := v1.Group("/common").Use(authMiddleware.MiddlewareFunc()).Use(middleware.AuthCheckRole())
	{
		common.POST("/aliyun/sts_token", api.AliYunStsTokenGet) // 获取oss对象存储token
	}
}
