package router

import (
	"github.com/gin-gonic/gin"
	jwt "github.com/go-admin-team/go-admin-core/sdk/pkg/jwtauth"
	"go-admin/app/admin/apis/bus_apis"
	"go-admin/common/middleware"
)

// 需认证的路由代码
func registerContractManageRouter(v1 *gin.RouterGroup, authMiddleware *jwt.GinJWTMiddleware) {
	api := bus_apis.ContractApi{}

	contract := v1.Group("/contract").Use(authMiddleware.MiddlewareFunc()).Use(middleware.AuthCheckRole())
	{
		contract.POST("/create", api.CreateContract)            // 新建合同
		contract.POST("/edit", api.EditContract)                // 编辑合同
		contract.POST("/list", api.ContractList)                // 合同列表
		contract.POST("/detail", api.ContractDetail)            // 合同详情
		contract.POST("/remark/edit", api.EditContractRemark)   // 编辑合同备注
		contract.POST("/invalid", api.InvalidContract)          // 作废合同
		contract.POST("/delete", api.DeleteContract)            // 删除合同
		contract.POST("/download", api.GetContractDownloadLink) // 下载合同
	}
}
