package router

import (
	"github.com/gin-gonic/gin"
	jwt "github.com/go-admin-team/go-admin-core/sdk/pkg/jwtauth"
	"go-admin/app/admin/apis/bus_apis"
	"go-admin/common/middleware"
)

// 需认证的路由代码
func registerCooperativeManageRouter(v1 *gin.RouterGroup, authMiddleware *jwt.GinJWTMiddleware) {
	api := bus_apis.CooperativeApi{}

	product := v1.Group("/cooperative").Use(authMiddleware.MiddlewareFunc()).Use(middleware.AuthCheckRole())
	{
		product.POST("/list", api.CooperativeList)                             // 合作商列表
		product.POST("/detail", api.CooperativeDetail)                         // 合作商详情
		product.POST("/create", api.CreateCooperative)                         // 创建合作商
		product.POST("/edit", api.EditCooperative)                             // 编辑合作商
		product.POST("/delete", api.DeleteCooperative)                         // 删除合作商
		product.POST("/adjust_account", api.AdjustAccountHandler)              // 账户调整，加减款
		product.POST("/status", api.SetCooperativeStatus)                      // 设置账户状态（停用/启用）
		product.POST("/products", api.QueryCooperativeProducts)                // 查询合作商产品列表
		product.POST("/update_discount", api.UpdateCooperativeProductDiscount) // 批量更新合作商产品折扣
	}
}
