package router

import (
	"github.com/gin-gonic/gin"
	jwt "github.com/go-admin-team/go-admin-core/sdk/pkg/jwtauth"
	"go-admin/app/admin/apis/bus_apis"
	"go-admin/common/middleware"
)

// 需认证的路由代码
func registerProductManageRouter(v1 *gin.RouterGroup, authMiddleware *jwt.GinJWTMiddleware) {
	api := bus_apis.ProductApi{}

	product := v1.Group("/product").Use(authMiddleware.MiddlewareFunc()).Use(middleware.AuthCheckRole())
	{
		product.POST("/list", api.ProductList)     // 产品列表
		product.POST("/create", api.CreateProduct) // 创建产品
		product.POST("/edit", api.EditProduct)     // 编辑产品
		product.POST("/delete", api.DeleteProduct) // 删除产品
	}
}
